DebianDLA-3032-1:pngcheck - LTS セキュリティ更新

low Nessus プラグイン ID 161685

概要

リモートの Debian ホストにセキュリティ関連の更新プログラムがありません。

説明

リモートの Debian 9 ホストには、dla-3032 のアドバイザリに記載された脆弱性の影響を受けるパッケージがインストールされています。

- pngcheck-2.4.0 の check_chunk_name() 関数に欠陥が見つかりました。攻撃者が悪意のあるファイルを渡して pngcheck で処理できるようになると、一時的なサービス拒否が発生し、アプリケーションの可用性に対する低リスクが生じる可能性があります。(CVE-2020-27818)

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

pngcheck パッケージをアップグレードしてください。

Debian 9 Stretch では、この問題はバージョン 2.3.0-7+deb9u1 で修正されています。

参考資料

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=976350

https://security-tracker.debian.org/tracker/source-package/pngcheck

https://www.debian.org/lts/security/2022/dla-3032

https://security-tracker.debian.org/tracker/CVE-2020-27818

https://packages.debian.org/source/stretch/pngcheck

プラグインの詳細

深刻度: Low

ID: 161685

ファイル名: debian_DLA-3032.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/5/31

更新日: 2022/5/31

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: Low

スコア: 1.4

CVSS v2

リスクファクター: Medium

Base Score: 4.3

Temporal Score: 3.2

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS スコアのソース: CVE-2020-27818

CVSS v3

リスクファクター: Low

Base Score: 3.3

Temporal Score: 2.9

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:pngcheck, cpe:/o:debian:debian_linux:9.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/5/29

脆弱性公開日: 2020/12/8

参照情報

CVE: CVE-2020-27818